#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1
%define framework krunner

Summary:        Framework for providing different actions given a string query
Name:           %framework
Version: 5.76.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{framework}-%{version}.tar.xz

# upstream patches

%rename         kf5-krunner

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)

BuildRequires:  kconfig-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  kservice-devel >= %version
BuildRequires:  plasma-framework-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  threadweaver-devel >= %version


%description
Framework for providing different actions given a string query.

%files
%_kf5_categoriesdir/krunner.*categories
%_kf5_qmldir/org/kde/runnermodel
%_kf5_servicetypes/plasma-runner.desktop
%_kf5_datadir/kdevappwizard/templates/*
%_kf5_datadir/dbus-1/interfaces/kf5_org.kde.krunner1.xml

#--------------------------------------------------------------------

%define kf5runner_major 5
%define libkf5runner %mklibname kf5runner %{kf5runner_major}

%package -n %libkf5runner
Summary:        Framework for providing different actions given a string query
Group:          System/Libraries
Recommends:     %{name} >= %version-%release

Obsoletes:      %{_lib}kf5krunner5 < 5.60.0-2

%description -n %libkf5runner
Framework for providing different actions given a string query.

%files -n %libkf5runner
%_kf5_libdir/libKF5Runner.so.%{kf5runner_major}{,.*}

#--------------------------------------------------------------------

%define kf5runner_devel %mklibname kf5runner -d

%package -n %kf5runner_devel
Summary:        Devel stuff for %framework
Group:          Development/KDE and Qt
Requires:       %libkf5runner = %version-%release
Provides:       %name-devel = %{version}-%{release}
Provides:       kf5-krunner-devel = %{version}-%{release}

Obsoletes:      %{_lib}kf5krunner-devel < 5.60.0-2

%description -n %kf5runner_devel
This package contains header files needed if you wish to build applications
based on %framework.

%files -n %kf5runner_devel
%_kf5_libdir/libKF5Runner.so
%_kf5_libdir/cmake/KF5Runner/
%_kf5_includedir/KRunner/
%_kf5_includedir/krunner_version.h
%_kf5_mkspecsdir/qt_KRunner.pri

#--------------------------------------------------------------------

%prep
%setup -q -n %framework-%version
%autopatch -p1

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_kf5_sysconfdir"
%cmake_build

%install
%cmake_install



%changelog
* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653365
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633216
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625641
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612701
- New version 5.73.0

* Thu Aug 06 2020 daviddavid <daviddavid> 5.72.0-2.mga8
+ Revision: 1611481
- add upstream patch to delay emitting metadata porting warnings until KF 5.75 (mga#27050)

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603120
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592815
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582041
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566532
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556709
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546953
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486845
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466254
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457639
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451021
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444833
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424329
- fix devel and library pkg-name

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420766
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386961
- New version 5.57.0

* Sun Mar 31 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382844
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374593
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364563
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356686
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339242
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318989
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298655
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1250412
- New version 5.49.0

* Fri May 18 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1230330
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192308
- New version 5.42.0

* Sat Dec 30 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1187592
- New version 5.41.0

* Sun Oct 01 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1162356
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140426
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123527
- New version 5.36.0

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088990
- New version 5.32.0

* Mon Jan 16 2017 neoclust <neoclust> 5.29.0-3.mga6
+ Revision: 1081976
- Rebuild on armv7

* Mon Jan 16 2017 neoclust <neoclust> 5.29.0-2.mga6
+ Revision: 1081965
- Rebuild for ARM

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074562
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072226
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058381
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050558
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045136
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041358
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021956
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014366
- New version 5.22.0

* Wed Apr 13 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 1001030
- New version 5.21.0

* Mon Mar 07 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986967
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942275
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921330
- New version 5.18.0

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909920
- New version 5.17.0
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900435
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899548
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898967
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888207
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881431
- New version 5.14.0

* Wed Aug 12 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 863318
- New version 5.13.0
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853920
- New version 5.12.0

* Wed Jul 08 2015 neoclust <neoclust> 5.11.0-3.mga6
+ Revision: 852695
- Add  kf5-krunner-devel as a provide

* Wed Jul 08 2015 neoclust <neoclust> 5.11.0-2.mga6
+ Revision: 852663
- Rename to kruner
- revert commit
- revert commit
- Rename

* Fri Jul 03 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 849819
- New version 5.11.0

* Fri Dec 19 2014 neoclust <neoclust> 5.5.0-1.mga6
+ Revision: 804103
- New version

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 743555
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681049
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 661765
- New version 5.1.0

* Sat Jul 19 2014 neoclust <neoclust> 5.0.0-2.mga5
+ Revision: 653755
- Fix provides
- imported package kf5-krunner

